curl --request POST \
--url https://api.uat.accessrc.org/api/DeliveryChannel/Create \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"name": {
"language": "EN",
"translation": "Bulgaria Moneygram"
},
"shortDescription": {
"language": "EN",
"translation": "Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number."
},
"landingPage": "www.moneygram.com",
"contacts": [
{
"email": "john_doe@moneygram.com",
"name": "John Doe",
"phone": "+902129343472"
}
],
"callCenter": {
"phone": "+18009269400",
"email": "customerservice@moneygram.com",
"website": "https://www.moneygram.com/mgo/ie/en/help/contact/",
"whatsapp": "+905441112233"
},
"availability": {
"categoriesSupported": [
"CASH"
],
"countriesSupported": [
"BG",
"HN",
"ML",
"PL"
],
"countriesExcluded": [
"UY"
],
"kycSupported": [
"ALL"
],
"kycExcluded": [
"OTHER"
],
"currenciesSupported": [
"USD",
"GBP",
"EUR"
],
"currenciesExcluded": [
"CHF"
],
"nationalitiesSupported": [
"BULGARIAN",
"UKRAINIAN",
"HUNGARIAN"
],
"nationalitiesExcluded": [
"FINNISH",
"CROATIAN"
]
},
"budget": {
"currency": "EUR",
"commodity": null,
"amount": 50000
},
"deliveryOptions": [
{
"fieldLabel": "IBAN (22 characters)",
"fieldName": "accountNumber",
"fieldMaxLength": 28,
"fieldMinLength": 28,
"dataType": "STRING",
"defaultValue": "",
"validationRegex": "^HN[0-9A-Za-z]*$",
"isRequired": true
}
],
"status": null
}
'HttpResponse<String> response = Unirest.post("https://api.uat.accessrc.org/api/DeliveryChannel/Create")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"name\": {\n \"language\": \"EN\",\n \"translation\": \"Bulgaria Moneygram\"\n },\n \"shortDescription\": {\n \"language\": \"EN\",\n \"translation\": \"Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number.\"\n },\n \"landingPage\": \"www.moneygram.com\",\n \"contacts\": [\n {\n \"email\": \"john_doe@moneygram.com\",\n \"name\": \"John Doe\",\n \"phone\": \"+902129343472\"\n }\n ],\n \"callCenter\": {\n \"phone\": \"+18009269400\",\n \"email\": \"customerservice@moneygram.com\",\n \"website\": \"https://www.moneygram.com/mgo/ie/en/help/contact/\",\n \"whatsapp\": \"+905441112233\"\n },\n \"availability\": {\n \"categoriesSupported\": [\n \"CASH\"\n ],\n \"countriesSupported\": [\n \"BG\",\n \"HN\",\n \"ML\",\n \"PL\"\n ],\n \"countriesExcluded\": [\n \"UY\"\n ],\n \"kycSupported\": [\n \"ALL\"\n ],\n \"kycExcluded\": [\n \"OTHER\"\n ],\n \"currenciesSupported\": [\n \"USD\",\n \"GBP\",\n \"EUR\"\n ],\n \"currenciesExcluded\": [\n \"CHF\"\n ],\n \"nationalitiesSupported\": [\n \"BULGARIAN\",\n \"UKRAINIAN\",\n \"HUNGARIAN\"\n ],\n \"nationalitiesExcluded\": [\n \"FINNISH\",\n \"CROATIAN\"\n ]\n },\n \"budget\": {\n \"currency\": \"EUR\",\n \"commodity\": null,\n \"amount\": 50000\n },\n \"deliveryOptions\": [\n {\n \"fieldLabel\": \"IBAN (22 characters)\",\n \"fieldName\": \"accountNumber\",\n \"fieldMaxLength\": 28,\n \"fieldMinLength\": 28,\n \"dataType\": \"STRING\",\n \"defaultValue\": \"\",\n \"validationRegex\": \"^HN[0-9A-Za-z]*$\",\n \"isRequired\": true\n }\n ],\n \"status\": null\n}")
.asString();import requests
url = "https://api.uat.accessrc.org/api/DeliveryChannel/Create"
payload = {
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"name": {
"language": "EN",
"translation": "Bulgaria Moneygram"
},
"shortDescription": {
"language": "EN",
"translation": "Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number."
},
"landingPage": "www.moneygram.com",
"contacts": [
{
"email": "john_doe@moneygram.com",
"name": "John Doe",
"phone": "+902129343472"
}
],
"callCenter": {
"phone": "+18009269400",
"email": "customerservice@moneygram.com",
"website": "https://www.moneygram.com/mgo/ie/en/help/contact/",
"whatsapp": "+905441112233"
},
"availability": {
"categoriesSupported": ["CASH"],
"countriesSupported": ["BG", "HN", "ML", "PL"],
"countriesExcluded": ["UY"],
"kycSupported": ["ALL"],
"kycExcluded": ["OTHER"],
"currenciesSupported": ["USD", "GBP", "EUR"],
"currenciesExcluded": ["CHF"],
"nationalitiesSupported": ["BULGARIAN", "UKRAINIAN", "HUNGARIAN"],
"nationalitiesExcluded": ["FINNISH", "CROATIAN"]
},
"budget": {
"currency": "EUR",
"commodity": None,
"amount": 50000
},
"deliveryOptions": [
{
"fieldLabel": "IBAN (22 characters)",
"fieldName": "accountNumber",
"fieldMaxLength": 28,
"fieldMinLength": 28,
"dataType": "STRING",
"defaultValue": "",
"validationRegex": "^HN[0-9A-Za-z]*$",
"isRequired": True
}
],
"status": None
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
providerDeliveryChannelId: 'ced2396b-32b5-4b08-bd98-7830dfb2b622',
name: {language: 'EN', translation: 'Bulgaria Moneygram'},
shortDescription: {
language: 'EN',
translation: 'Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number.'
},
landingPage: 'www.moneygram.com',
contacts: [{email: 'john_doe@moneygram.com', name: 'John Doe', phone: '+902129343472'}],
callCenter: {
phone: '+18009269400',
email: 'customerservice@moneygram.com',
website: 'https://www.moneygram.com/mgo/ie/en/help/contact/',
whatsapp: '+905441112233'
},
availability: {
categoriesSupported: ['CASH'],
countriesSupported: ['BG', 'HN', 'ML', 'PL'],
countriesExcluded: ['UY'],
kycSupported: ['ALL'],
kycExcluded: ['OTHER'],
currenciesSupported: ['USD', 'GBP', 'EUR'],
currenciesExcluded: ['CHF'],
nationalitiesSupported: ['BULGARIAN', 'UKRAINIAN', 'HUNGARIAN'],
nationalitiesExcluded: ['FINNISH', 'CROATIAN']
},
budget: {currency: 'EUR', commodity: null, amount: 50000},
deliveryOptions: [
{
fieldLabel: 'IBAN (22 characters)',
fieldName: 'accountNumber',
fieldMaxLength: 28,
fieldMinLength: 28,
dataType: 'STRING',
defaultValue: '',
validationRegex: '^HN[0-9A-Za-z]*$',
isRequired: true
}
],
status: null
})
};
fetch('https://api.uat.accessrc.org/api/DeliveryChannel/Create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/DeliveryChannel/Create");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"name\": {\n \"language\": \"EN\",\n \"translation\": \"Bulgaria Moneygram\"\n },\n \"shortDescription\": {\n \"language\": \"EN\",\n \"translation\": \"Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number.\"\n },\n \"landingPage\": \"www.moneygram.com\",\n \"contacts\": [\n {\n \"email\": \"john_doe@moneygram.com\",\n \"name\": \"John Doe\",\n \"phone\": \"+902129343472\"\n }\n ],\n \"callCenter\": {\n \"phone\": \"+18009269400\",\n \"email\": \"customerservice@moneygram.com\",\n \"website\": \"https://www.moneygram.com/mgo/ie/en/help/contact/\",\n \"whatsapp\": \"+905441112233\"\n },\n \"availability\": {\n \"categoriesSupported\": [\n \"CASH\"\n ],\n \"countriesSupported\": [\n \"BG\",\n \"HN\",\n \"ML\",\n \"PL\"\n ],\n \"countriesExcluded\": [\n \"UY\"\n ],\n \"kycSupported\": [\n \"ALL\"\n ],\n \"kycExcluded\": [\n \"OTHER\"\n ],\n \"currenciesSupported\": [\n \"USD\",\n \"GBP\",\n \"EUR\"\n ],\n \"currenciesExcluded\": [\n \"CHF\"\n ],\n \"nationalitiesSupported\": [\n \"BULGARIAN\",\n \"UKRAINIAN\",\n \"HUNGARIAN\"\n ],\n \"nationalitiesExcluded\": [\n \"FINNISH\",\n \"CROATIAN\"\n ]\n },\n \"budget\": {\n \"currency\": \"EUR\",\n \"commodity\": null,\n \"amount\": 50000\n },\n \"deliveryOptions\": [\n {\n \"fieldLabel\": \"IBAN (22 characters)\",\n \"fieldName\": \"accountNumber\",\n \"fieldMaxLength\": 28,\n \"fieldMinLength\": 28,\n \"dataType\": \"STRING\",\n \"defaultValue\": \"\",\n \"validationRegex\": \"^HN[0-9A-Za-z]*$\",\n \"isRequired\": true\n }\n ],\n \"status\": null\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"message": "Delivery Channel request is created successfully",
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"date": "2025-04-04T14:07:49Z",
"requestType": "Delivery Channel Create",
"requestedDate": "2025-04-04T14:07:47Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Create Delivery Channel
curl --request POST \
--url https://api.uat.accessrc.org/api/DeliveryChannel/Create \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"name": {
"language": "EN",
"translation": "Bulgaria Moneygram"
},
"shortDescription": {
"language": "EN",
"translation": "Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number."
},
"landingPage": "www.moneygram.com",
"contacts": [
{
"email": "john_doe@moneygram.com",
"name": "John Doe",
"phone": "+902129343472"
}
],
"callCenter": {
"phone": "+18009269400",
"email": "customerservice@moneygram.com",
"website": "https://www.moneygram.com/mgo/ie/en/help/contact/",
"whatsapp": "+905441112233"
},
"availability": {
"categoriesSupported": [
"CASH"
],
"countriesSupported": [
"BG",
"HN",
"ML",
"PL"
],
"countriesExcluded": [
"UY"
],
"kycSupported": [
"ALL"
],
"kycExcluded": [
"OTHER"
],
"currenciesSupported": [
"USD",
"GBP",
"EUR"
],
"currenciesExcluded": [
"CHF"
],
"nationalitiesSupported": [
"BULGARIAN",
"UKRAINIAN",
"HUNGARIAN"
],
"nationalitiesExcluded": [
"FINNISH",
"CROATIAN"
]
},
"budget": {
"currency": "EUR",
"commodity": null,
"amount": 50000
},
"deliveryOptions": [
{
"fieldLabel": "IBAN (22 characters)",
"fieldName": "accountNumber",
"fieldMaxLength": 28,
"fieldMinLength": 28,
"dataType": "STRING",
"defaultValue": "",
"validationRegex": "^HN[0-9A-Za-z]*$",
"isRequired": true
}
],
"status": null
}
'HttpResponse<String> response = Unirest.post("https://api.uat.accessrc.org/api/DeliveryChannel/Create")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"name\": {\n \"language\": \"EN\",\n \"translation\": \"Bulgaria Moneygram\"\n },\n \"shortDescription\": {\n \"language\": \"EN\",\n \"translation\": \"Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number.\"\n },\n \"landingPage\": \"www.moneygram.com\",\n \"contacts\": [\n {\n \"email\": \"john_doe@moneygram.com\",\n \"name\": \"John Doe\",\n \"phone\": \"+902129343472\"\n }\n ],\n \"callCenter\": {\n \"phone\": \"+18009269400\",\n \"email\": \"customerservice@moneygram.com\",\n \"website\": \"https://www.moneygram.com/mgo/ie/en/help/contact/\",\n \"whatsapp\": \"+905441112233\"\n },\n \"availability\": {\n \"categoriesSupported\": [\n \"CASH\"\n ],\n \"countriesSupported\": [\n \"BG\",\n \"HN\",\n \"ML\",\n \"PL\"\n ],\n \"countriesExcluded\": [\n \"UY\"\n ],\n \"kycSupported\": [\n \"ALL\"\n ],\n \"kycExcluded\": [\n \"OTHER\"\n ],\n \"currenciesSupported\": [\n \"USD\",\n \"GBP\",\n \"EUR\"\n ],\n \"currenciesExcluded\": [\n \"CHF\"\n ],\n \"nationalitiesSupported\": [\n \"BULGARIAN\",\n \"UKRAINIAN\",\n \"HUNGARIAN\"\n ],\n \"nationalitiesExcluded\": [\n \"FINNISH\",\n \"CROATIAN\"\n ]\n },\n \"budget\": {\n \"currency\": \"EUR\",\n \"commodity\": null,\n \"amount\": 50000\n },\n \"deliveryOptions\": [\n {\n \"fieldLabel\": \"IBAN (22 characters)\",\n \"fieldName\": \"accountNumber\",\n \"fieldMaxLength\": 28,\n \"fieldMinLength\": 28,\n \"dataType\": \"STRING\",\n \"defaultValue\": \"\",\n \"validationRegex\": \"^HN[0-9A-Za-z]*$\",\n \"isRequired\": true\n }\n ],\n \"status\": null\n}")
.asString();import requests
url = "https://api.uat.accessrc.org/api/DeliveryChannel/Create"
payload = {
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"name": {
"language": "EN",
"translation": "Bulgaria Moneygram"
},
"shortDescription": {
"language": "EN",
"translation": "Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number."
},
"landingPage": "www.moneygram.com",
"contacts": [
{
"email": "john_doe@moneygram.com",
"name": "John Doe",
"phone": "+902129343472"
}
],
"callCenter": {
"phone": "+18009269400",
"email": "customerservice@moneygram.com",
"website": "https://www.moneygram.com/mgo/ie/en/help/contact/",
"whatsapp": "+905441112233"
},
"availability": {
"categoriesSupported": ["CASH"],
"countriesSupported": ["BG", "HN", "ML", "PL"],
"countriesExcluded": ["UY"],
"kycSupported": ["ALL"],
"kycExcluded": ["OTHER"],
"currenciesSupported": ["USD", "GBP", "EUR"],
"currenciesExcluded": ["CHF"],
"nationalitiesSupported": ["BULGARIAN", "UKRAINIAN", "HUNGARIAN"],
"nationalitiesExcluded": ["FINNISH", "CROATIAN"]
},
"budget": {
"currency": "EUR",
"commodity": None,
"amount": 50000
},
"deliveryOptions": [
{
"fieldLabel": "IBAN (22 characters)",
"fieldName": "accountNumber",
"fieldMaxLength": 28,
"fieldMinLength": 28,
"dataType": "STRING",
"defaultValue": "",
"validationRegex": "^HN[0-9A-Za-z]*$",
"isRequired": True
}
],
"status": None
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
providerDeliveryChannelId: 'ced2396b-32b5-4b08-bd98-7830dfb2b622',
name: {language: 'EN', translation: 'Bulgaria Moneygram'},
shortDescription: {
language: 'EN',
translation: 'Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number.'
},
landingPage: 'www.moneygram.com',
contacts: [{email: 'john_doe@moneygram.com', name: 'John Doe', phone: '+902129343472'}],
callCenter: {
phone: '+18009269400',
email: 'customerservice@moneygram.com',
website: 'https://www.moneygram.com/mgo/ie/en/help/contact/',
whatsapp: '+905441112233'
},
availability: {
categoriesSupported: ['CASH'],
countriesSupported: ['BG', 'HN', 'ML', 'PL'],
countriesExcluded: ['UY'],
kycSupported: ['ALL'],
kycExcluded: ['OTHER'],
currenciesSupported: ['USD', 'GBP', 'EUR'],
currenciesExcluded: ['CHF'],
nationalitiesSupported: ['BULGARIAN', 'UKRAINIAN', 'HUNGARIAN'],
nationalitiesExcluded: ['FINNISH', 'CROATIAN']
},
budget: {currency: 'EUR', commodity: null, amount: 50000},
deliveryOptions: [
{
fieldLabel: 'IBAN (22 characters)',
fieldName: 'accountNumber',
fieldMaxLength: 28,
fieldMinLength: 28,
dataType: 'STRING',
defaultValue: '',
validationRegex: '^HN[0-9A-Za-z]*$',
isRequired: true
}
],
status: null
})
};
fetch('https://api.uat.accessrc.org/api/DeliveryChannel/Create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/DeliveryChannel/Create");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"name\": {\n \"language\": \"EN\",\n \"translation\": \"Bulgaria Moneygram\"\n },\n \"shortDescription\": {\n \"language\": \"EN\",\n \"translation\": \"Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number.\"\n },\n \"landingPage\": \"www.moneygram.com\",\n \"contacts\": [\n {\n \"email\": \"john_doe@moneygram.com\",\n \"name\": \"John Doe\",\n \"phone\": \"+902129343472\"\n }\n ],\n \"callCenter\": {\n \"phone\": \"+18009269400\",\n \"email\": \"customerservice@moneygram.com\",\n \"website\": \"https://www.moneygram.com/mgo/ie/en/help/contact/\",\n \"whatsapp\": \"+905441112233\"\n },\n \"availability\": {\n \"categoriesSupported\": [\n \"CASH\"\n ],\n \"countriesSupported\": [\n \"BG\",\n \"HN\",\n \"ML\",\n \"PL\"\n ],\n \"countriesExcluded\": [\n \"UY\"\n ],\n \"kycSupported\": [\n \"ALL\"\n ],\n \"kycExcluded\": [\n \"OTHER\"\n ],\n \"currenciesSupported\": [\n \"USD\",\n \"GBP\",\n \"EUR\"\n ],\n \"currenciesExcluded\": [\n \"CHF\"\n ],\n \"nationalitiesSupported\": [\n \"BULGARIAN\",\n \"UKRAINIAN\",\n \"HUNGARIAN\"\n ],\n \"nationalitiesExcluded\": [\n \"FINNISH\",\n \"CROATIAN\"\n ]\n },\n \"budget\": {\n \"currency\": \"EUR\",\n \"commodity\": null,\n \"amount\": 50000\n },\n \"deliveryOptions\": [\n {\n \"fieldLabel\": \"IBAN (22 characters)\",\n \"fieldName\": \"accountNumber\",\n \"fieldMaxLength\": 28,\n \"fieldMinLength\": 28,\n \"dataType\": \"STRING\",\n \"defaultValue\": \"\",\n \"validationRegex\": \"^HN[0-9A-Za-z]*$\",\n \"isRequired\": true\n }\n ],\n \"status\": null\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"message": "Delivery Channel request is created successfully",
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"date": "2025-04-04T14:07:49Z",
"requestType": "Delivery Channel Create",
"requestedDate": "2025-04-04T14:07:47Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Authorizations
API Key required in x-api-key header
Body
Unique identifier (UUID) of the provider’s delivery channel. Used to reference this specific configuration in API operations.
64Localized display name of the delivery channel, including the language code and translated text. (Note: this will be auto-translated to other languages whenever approved by AccessRC Admin)
Show child attributes
Show child attributes
Public website URL of the provider or service where users can find more information.
512Specifies where and under which conditions the delivery channel is available — including supported and excluded categories, countries, KYC levels, currencies, and nationalities. Supported values will be filtered and matched within AccessRC to determine eligible delivery options, while excluded values will prevent beneficiaries from being assisted through this channel.
countriesSupported, countriesExcluded,kycSupported, kycExcluded, currenciesSupported, currenciesExcluded, nationalitiesSupported, nationalitiesExcluded can be absent in the request body, can be an empty array ("nationalitiesExcluded": []), or can be null ("nationalitiesExcluded": null)
Show child attributes
Show child attributes
Localized description providing key information about how the service or delivery channel can be accessed or used. (Note: this will be auto-translated to other languages whenever approved by AccessRC Admin). shortDescription can be absent in the request body, or can be null ("shortDescription": null)
Show child attributes
Show child attributes
List of primary contact persons for this delivery channel, including their name, email, and phone number.
contacts can be absent in the request body, can be an empty array ("contacts": []), or can be null ("contacts": null)
Show child attributes
Show child attributes
Contact details for customer support, including phone number, email, website, and optional WhatsApp contact.
callCenter can be absent in the request body, or can be null ("callCenter": null)
phone, email, WhatsApp, website can be absent in the request body, can be null ("phone": null), or can be empty ("phone": "")
Show child attributes
Show child attributes
Defines the allocated budget for this delivery channel, including currency, optional commodity type, and total amount. If a budget is provided, AccessRC won’t exceed this budget while sending the delivery requests. If the budget isn’t provided AccessRC will consider using the Program Virtual Budget that is defined while creating an assistance program in AccessRC
Show child attributes
Show child attributes
Array of input field definitions required for processing a delivery, including label, field name, data type, length constraints, default value, validation pattern, and requirement status. deliveryOptions can be absent in the request body, can be an empty array ("deliveryOptions": []), or can be null ("deliveryOptions": null)
Show child attributes
Show child attributes
Indicates the current operational status of the delivery channel (e.g., REQUESTED, OFFLINE, ONLINE). (Note: Create method overrides the value, and it is initially added as REQUESTED, so a new delivery channel can’t be created as Offline or Online) (Note: Update method can only update this field as Offline or Online)
OFFLINE, ONLINE, REQUESTED 